# Copyright 2005, WehbyCreative

#Name:			Display Template 1.05
#Description:	Automate the creation of various display configurations.
#Author:		John Wehby (http://www.wehbycreative.com)
#Installation:	Extract contents of .ZIP file into 'SketchUp/Plugins' folder.
#Usage:			Please see the associated Help-DisplayTempate.html file.
#Date:			05.Oct.2005
#History:		1.05(04.Oct.2005)   added Extras and fixed Multipass displays
#                                   added Dennis Technique (Thanks Kordo)
#				1.01(03.Oct.2005)   fixed require 'sketchup.rb'
#				1.0	(03.Oct.2005)   first public release
#
#License:
#	Permission to use this software without fee is hereby granted for commercial
#   and non-commercial purposes. In other words:
#	"If you make money from its USE, I don't want any of it. I just want the karma."
#
#	Permission is not granted for the commercial copying, modification,
#	or distribution of this product.
#	Permission to copy, modify, and distribute this software for
#	non-commercial purposes and without fee is hereby granted,
#	provided that the above copyright notice appear in all copies.
#	**Also, if you modify this software, please send me a copy.**
#
#Warranty:
#	THIS SOFTWARE IS PROVIDED "AS IS" AND WITHOUT ANY EXPRESS OR
#	IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
#	WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
#
#Special Thanks:
#	J. Kordo, whose passion for this project kept it alive.
#Thanks:
#	Didier Bur, Octavian "TBD" Chis, Mark Horner, and Rick Wilson for their
#	Ruby tutelage over the past year.

#class DisplayTemplate

require 'sketchup.rb'

def notyet
    UI.messagebox "This feature is not yet available", MB_MULTILINE, "Sorry"
end
#-----------------------------------------------------------------------------
# Set Up "The D Technique" Page
def tdttemplate
    model = Sketchup.active_model
    pages = model.pages
    # Set Up "Color Textures & Shadow" Page
    page = pages.add "Color Textures & shadow"
        # ShadowInfo Set Up
        model.shadow_info["Dark"]= 39
        model.shadow_info["DisplayOnAllFaces"] = true
        model.shadow_info["DisplayOnGroundPlane"] = true
        model.shadow_info["DisplayShadows"] = true
        model.shadow_info["EdgesCastShadows"] = true
        model.shadow_info["Light"] = 87
        model.shadow_info["UseSunForAllShading"] = true


        # RenderingOptions Set Up
        model.rendering_options["BackgroundColor"] = Sketchup::Color.new(255, 255, 255, 255)
        model.rendering_options["BandColor"] = Sketchup::Color.new(0, 0, 0, 127)
        model.rendering_options["ConstructionColor"] = Sketchup::Color.new(123, 123, 128, 255)
        model.rendering_options["DepthQueWidth"] = 4
        model.rendering_options["DisplayColorByLayer"] = false
        model.rendering_options["DisplayFog"] = false
        model.rendering_options["DisplayFogEdges"] = false
        model.rendering_options["DisplayInstanceAxes"] = false
        model.rendering_options["DrawDepthQue"] = false
        model.rendering_options["DrawGround"] = true
        model.rendering_options["DrawHidden"] = false
        model.rendering_options["DrawHorizon"] = true
        model.rendering_options["DrawLineEnds"] = false
        model.rendering_options["DrawProfilesOnly"] = false
        model.rendering_options["DrawSilhouettes"] = false
        model.rendering_options["DrawUnderground"] = true
        model.rendering_options["EdgeColorMode"] = 1
        model.rendering_options["EdgeDisplayMode"] = 3
        model.rendering_options["ExtendLines"] = false
        model.rendering_options["FaceBackColor"] = Sketchup::Color.new(165,  32,   8, 255)
        model.rendering_options["FaceColorMode"] = 0
        model.rendering_options["FaceFrontColor"] = Sketchup::Color.new(153, 134, 114, 255)
        model.rendering_options["FogColor"] = Sketchup::Color.new(255, 255, 255, 255)
        model.rendering_options["FogDensity"] = 1.0e-004
        model.rendering_options["FogEnd"] = 100
        model.rendering_options["FogStart"] = 0
        model.rendering_options["FogType"] = 2
        model.rendering_options["FogUseBkColor"] = true
        model.rendering_options["ForegroundColor"] = Sketchup::Color.new( 63,  63,  63, 255)
        model.rendering_options["GroundColor"] = Sketchup::Color.new(255, 255, 255, 255)
        model.rendering_options["GroundTransparency"] = 50
        model.rendering_options["HideAnnotations"] = false
        model.rendering_options["HideConstructionGeometry"] = false
        model.rendering_options["HighlightColor"] = Sketchup::Color.new(255, 255,   0, 255)
        model.rendering_options["HorizonColor"] = Sketchup::Color.new(  0,   0,   0,   0)
        model.rendering_options["InactiveHidden"] = false
        model.rendering_options["InstanceHidden"] = false
        model.rendering_options["JitterEdges"] = false
        model.rendering_options["LineEndWidth"] = 5
        model.rendering_options["LineExtension"] = 8
        model.rendering_options["LockedColor"] = Sketchup::Color.new(255,   0,   0, 255)
        model.rendering_options["MaterialTransparency"] = true
        model.rendering_options["ModelTransparency"] = false
        model.rendering_options["RenderMode"] = 2
        model.rendering_options["ShowViewName"] = true
        model.rendering_options["SilhouetteWidth"] = 3
        model.rendering_options["SkyColor"] = Sketchup::Color.new(255, 255, 255, 255)
        model.rendering_options["Texture"] = true
        model.rendering_options["TransparencySort"] = 0


status = page.use_camera = false
status = page.use_rendering_options = true
status = page.use_shadow_info = true

page = pages.selected_page
pageupdate = page.update

    # Set Up "Line art" Page
    page = pages.add "Line art"
        # ShadowInfo Set Up "Line art" Page
        model.shadow_info["Dark"]= 39
        model.shadow_info["DisplayOnAllFaces"] = true
        model.shadow_info["DisplayOnGroundPlane"] = false
        model.shadow_info["DisplayShadows"] = false
        model.shadow_info["EdgesCastShadows"] = true
        model.shadow_info["Light"] = 87
        model.shadow_info["UseSunForAllShading"] = true


        # RenderingOptions Set Up "Line art" Page
        model.rendering_options["BackgroundColor"] = Sketchup::Color.new(255, 255, 255, 255)
        model.rendering_options["BandColor"] = Sketchup::Color.new(0, 0, 0, 127)
        model.rendering_options["ConstructionColor"] = Sketchup::Color.new(123, 123, 128, 255)
        model.rendering_options["DepthQueWidth"] = 4
        model.rendering_options["DisplayColorByLayer"] = false
        model.rendering_options["DisplayFog"] = false
        model.rendering_options["DisplayFogEdges"] = false
        model.rendering_options["DisplayInstanceAxes"] = false
        model.rendering_options["DrawDepthQue"] = false
        model.rendering_options["DrawGround"] = false
        model.rendering_options["DrawHidden"] = false
        model.rendering_options["DrawHorizon"] = false
        model.rendering_options["DrawLineEnds"] = false
        model.rendering_options["DrawProfilesOnly"] = false
        model.rendering_options["DrawSilhouettes"] = false
        model.rendering_options["DrawUnderground"] = true
        model.rendering_options["EdgeColorMode"] = 1
        model.rendering_options["EdgeDisplayMode"] = 1
        model.rendering_options["ExtendLines"] = true
        model.rendering_options["FaceBackColor"] = Sketchup::Color.new(165,  32,   8, 255)
        model.rendering_options["FaceColorMode"] = 0
        model.rendering_options["FaceFrontColor"] = Sketchup::Color.new(153, 134, 114, 255)
        model.rendering_options["FogColor"] = Sketchup::Color.new(255, 255, 255, 255)
        model.rendering_options["FogDensity"] = 1.0e-004
        model.rendering_options["FogEnd"] = 100
        model.rendering_options["FogStart"] = 0
        model.rendering_options["FogType"] = 2
        model.rendering_options["FogUseBkColor"] = true
        model.rendering_options["ForegroundColor"] = Sketchup::Color.new( 63,  63,  63, 255)
        model.rendering_options["GroundColor"] = Sketchup::Color.new(254, 241, 255, 255)
        model.rendering_options["GroundTransparency"] = 50
        model.rendering_options["HideAnnotations"] = false
        model.rendering_options["HideConstructionGeometry"] = false
        model.rendering_options["HighlightColor"] = Sketchup::Color.new(255, 255,   0, 255)
        model.rendering_options["HorizonColor"] = Sketchup::Color.new(  0,   0,   0,   0)
        model.rendering_options["InactiveHidden"] = false
        model.rendering_options["InstanceHidden"] = false
        model.rendering_options["JitterEdges"] = true
        model.rendering_options["LineEndWidth"] = 5
        model.rendering_options["LineExtension"] = 4
        model.rendering_options["LockedColor"] = Sketchup::Color.new(255,   0,   0, 255)
        model.rendering_options["MaterialTransparency"] = true
        model.rendering_options["ModelTransparency"] = false
        model.rendering_options["RenderMode"] = 1
        model.rendering_options["ShowViewName"] = true
        model.rendering_options["SilhouetteWidth"] = 3
        model.rendering_options["SkyColor"] = Sketchup::Color.new(126, 104, 226, 255)
        model.rendering_options["Texture"] = true
        model.rendering_options["TransparencySort"] = 0



    status = page.use_camera = false
    status = page.use_rendering_options = true
    status = page.use_shadow_info = true

    page = pages.selected_page
    pageupdate = page.update

    # Set Up "Line Art & Shadows" Page
    model = Sketchup.active_model
    pages = model.pages
    page = pages.add "Line Art & Shadows"
    page = pages.selected_page

        # Use the goodstuff, not the badstuff
        status = page.use_camera = false
        status = page.use_rendering_options = true
        status = page.use_shadow_info = true
        status = page.use_section_planes=false
        status = page.use_hidden_layers=false
        status = page.use_hidden=false
        status = page.use_axes=false


        # ShadowInfo Set Up "Line Art & Shadows" Page
        model.shadow_info["Dark"]= 39
        model.shadow_info["DisplayOnAllFaces"] = true
        model.shadow_info["DisplayOnGroundPlane"] = true
        model.shadow_info["DisplayShadows"] = true
        model.shadow_info["EdgesCastShadows"] = true
        model.shadow_info["Light"] = 87
        model.shadow_info["UseSunForAllShading"] = true


        # RenderingOptions Set Up "Line Art & Shadows" Page
        model.rendering_options["BackgroundColor"] = Sketchup::Color.new(255, 255, 255, 255)
        model.rendering_options["BandColor"] = Sketchup::Color.new(0, 0, 0, 127)
        model.rendering_options["ConstructionColor"] = Sketchup::Color.new(123, 123, 128, 255)
        model.rendering_options["DepthQueWidth"] = 4
        model.rendering_options["DisplayColorByLayer"] = false
        model.rendering_options["DisplayFog"] = false
        model.rendering_options["DisplayFogEdges"] = false
        model.rendering_options["DisplayInstanceAxes"] = false
        model.rendering_options["DrawDepthQue"] = false
        model.rendering_options["DrawGround"] = false
        model.rendering_options["DrawHidden"] = false
        model.rendering_options["DrawHorizon"] = false
        model.rendering_options["DrawLineEnds"] = false
        model.rendering_options["DrawProfilesOnly"] = false
        model.rendering_options["DrawSilhouettes"] = false
        model.rendering_options["DrawUnderground"] = true
        model.rendering_options["EdgeColorMode"] = 1
        model.rendering_options["EdgeDisplayMode"] = 1
        model.rendering_options["ExtendLines"] = true
        model.rendering_options["FaceBackColor"] = Sketchup::Color.new(165,  32,   8, 255)
        model.rendering_options["FaceColorMode"] = 0
        model.rendering_options["FaceFrontColor"] = Sketchup::Color.new(153, 134, 114, 255)
        model.rendering_options["FogColor"] = Sketchup::Color.new(255, 255, 255, 255)
        model.rendering_options["FogDensity"] = 1.0e-004
        model.rendering_options["FogEnd"] = 100
        model.rendering_options["FogStart"] = 0
        model.rendering_options["FogType"] = 2
        model.rendering_options["FogUseBkColor"] = true
        model.rendering_options["ForegroundColor"] = Sketchup::Color.new( 63,  63,  63, 255)
        model.rendering_options["GroundColor"] = Sketchup::Color.new(254, 241, 255, 255)
        model.rendering_options["GroundTransparency"] = 50
        model.rendering_options["HideAnnotations"] = false
        model.rendering_options["HideConstructionGeometry"] = false
        model.rendering_options["HighlightColor"] = Sketchup::Color.new(255, 255,   0, 255)
        model.rendering_options["HorizonColor"] = Sketchup::Color.new(  0,   0,   0,   0)
        model.rendering_options["InactiveHidden"] = false
        model.rendering_options["InstanceHidden"] = false
        model.rendering_options["JitterEdges"] = true
        model.rendering_options["LineEndWidth"] = 5
        model.rendering_options["LineExtension"] = 4
        model.rendering_options["LockedColor"] = Sketchup::Color.new(255,   0,   0, 255)
        model.rendering_options["MaterialTransparency"] = true
        model.rendering_options["ModelTransparency"] = false
        model.rendering_options["RenderMode"] = 1
        model.rendering_options["ShowViewName"] = true
        model.rendering_options["SilhouetteWidth"] = 3
        model.rendering_options["SkyColor"] = Sketchup::Color.new(126, 104, 226, 255)
        model.rendering_options["Texture"] = true
        model.rendering_options["TransparencySort"] = 0


    status = page.update
end

#-----------------------------------------------------------------------------
# Set Up "Hidden Line" Page
def hiddenlinetemplate
    model = Sketchup.active_model
    pages = model.pages
    page = pages.add "Hidden Line"
    page = pages.selected_page

    # Use the goodstuff, not the badstuff
        status = page.use_camera = false
        status = page.use_rendering_options = true
        status = page.use_shadow_info = true
        status = page.use_section_planes=false
        status = page.use_hidden_layers=false
        status = page.use_hidden=false
        status = page.use_axes=false

    # RenderingOptions Set Up "Hidden Line" Page
        model.rendering_options["BackgroundColor"] = Sketchup::Color.new(255, 255, 255, 255)
        model.rendering_options["BandColor"] = Sketchup::Color.new(  0,   0,   0, 127)
        model.rendering_options["ConstructionColor"] = Sketchup::Color.new(255,   0, 255, 255)
        model.rendering_options["DepthQueWidth"] = 4
        model.rendering_options["DisplayColorByLayer"] = false
        model.rendering_options["DisplayFog"] = false
        model.rendering_options["DisplayFogEdges"] = false
        model.rendering_options["DisplayInstanceAxes"] = false
        model.rendering_options["DrawDepthQue"] = false
        model.rendering_options["DrawGround"] = false
        model.rendering_options["DrawHidden"] = false
        model.rendering_options["DrawHorizon"] = false
        model.rendering_options["DrawLineEnds"] = false
        model.rendering_options["DrawProfilesOnly"] = false
        model.rendering_options["DrawSilhouettes"] = false
        model.rendering_options["DrawUnderground"] = true
        model.rendering_options["EdgeColorMode"] = 1
        model.rendering_options["EdgeDisplayMode"] = 1
        model.rendering_options["ExtendLines"] = true
        model.rendering_options["FaceBackColor"] = Sketchup::Color.new(255, 255, 255, 255)
        model.rendering_options["FaceColorMode"] = 0
        model.rendering_options["FaceFrontColor"] = Sketchup::Color.new(255, 255, 255, 255)
        model.rendering_options["FogColor"] = Sketchup::Color.new(255, 255, 255, 255)
        model.rendering_options["FogDensity"] = 1.0e-004
        model.rendering_options["FogEnd"] = 100
        model.rendering_options["FogStart"] = 0
        model.rendering_options["FogType"] = 2
        model.rendering_options["FogUseBkColor"] = true
        model.rendering_options["ForegroundColor"] = Sketchup::Color.new(  0,   0,   0, 255)
        model.rendering_options["GroundColor"] = Sketchup::Color.new(148, 177, 148, 255)
        model.rendering_options["GroundTransparency"] = 100
        model.rendering_options["HideAnnotations"] = false
        model.rendering_options["HideConstructionGeometry"] = false
        model.rendering_options["HighlightColor"] = Sketchup::Color.new(255, 255,   0, 255)
        model.rendering_options["HorizonColor"] = Sketchup::Color.new(  0,   0,   0,   0)
        model.rendering_options["InactiveHidden"] = false
        model.rendering_options["InstanceHidden"] = false
        model.rendering_options["JitterEdges"] = false
        model.rendering_options["LineEndWidth"] = 5
        model.rendering_options["LineExtension"] = 3
        model.rendering_options["LockedColor"] = Sketchup::Color.new(255,   0,   0, 255)
        model.rendering_options["MaterialTransparency"] = true
        model.rendering_options["ModelTransparency"] = false
        model.rendering_options["RenderMode"] = 1
        model.rendering_options["SectionActiveColor"] = Sketchup::Color.new(102, 110, 141, 255)
        model.rendering_options["SectionCutWidth"] = 4
        model.rendering_options["SectionDefaultCutColor"] = Sketchup::Color.new(  0,   0,   0, 255)
        model.rendering_options["SectionInactiveColor"] = Sketchup::Color.new(192, 192, 192, 255)
        model.rendering_options["ShowViewName"] = true
        model.rendering_options["SilhouetteWidth"] = 2
        model.rendering_options["SkyColor"] = Sketchup::Color.new(183, 190, 224, 255)
        model.rendering_options["Texture"] = false
        model.rendering_options["TransparencySort"] = 2


    # ShadowInfo Set Up "Hidden Line" Page
        model.shadow_info["Dark"] = 39
        model.shadow_info["DisplayOnAllFaces"] = false
        model.shadow_info["DisplayOnGroundPlane"] = false
        model.shadow_info["DisplayShadows"] = false
        model.shadow_info["EdgesCastShadows"] = false
        model.shadow_info["Light"] = 87
        model.shadow_info["UseSunForAllShading"] = true


    status = page.update
end     # def hiddenlinetemplate

#-----------------------------------------------------------------------------

# Set Up "Silhouettes" Page
def silhouettestemplate
    model = Sketchup.active_model
    pages = model.pages
    page = pages.add "Silhouettes"
    page = pages.selected_page

    # Use the goodstuff, not the badstuff "Silhouettes" Page
        status = page.use_camera = false
        status = page.use_rendering_options = true
        status = page.use_shadow_info = true
        status = page.use_section_planes=false
        status = page.use_hidden_layers=false
        status = page.use_hidden=false
        status = page.use_axes=false

    # RenderingOptions Set Up "Silhouettes" Page
        model.rendering_options["BackgroundColor"] = Sketchup::Color.new(255, 255, 255, 255)
        model.rendering_options["BandColor"] = Sketchup::Color.new(  0,   0,   0, 127)
        model.rendering_options["ConstructionColor"] = Sketchup::Color.new(255,   0, 255, 255)
        model.rendering_options["DepthQueWidth"] = 4
        model.rendering_options["DisplayColorByLayer"] = false
        model.rendering_options["DisplayFog"] = false
        model.rendering_options["DisplayFogEdges"] = false
        model.rendering_options["DisplayInstanceAxes"] = false
        model.rendering_options["DrawDepthQue"] = false
        model.rendering_options["DrawGround"] = false
        model.rendering_options["DrawHidden"] = false
        model.rendering_options["DrawHorizon"] = false
        model.rendering_options["DrawLineEnds"] = true
        model.rendering_options["DrawProfilesOnly"] = false
        model.rendering_options["DrawSilhouettes"] = true
        model.rendering_options["DrawUnderground"] = true
        model.rendering_options["EdgeColorMode"] = 1
        model.rendering_options["EdgeDisplayMode"] = 0
        model.rendering_options["ExtendLines"] = true
        model.rendering_options["FaceBackColor"] = Sketchup::Color.new(255, 255, 255, 255)
        model.rendering_options["FaceColorMode"] = 0
        model.rendering_options["FaceFrontColor"] = Sketchup::Color.new(255, 255, 255, 255)
        model.rendering_options["FogColor"] = Sketchup::Color.new(255, 255, 255, 255)
        model.rendering_options["FogDensity"] = 1.0e-004
        model.rendering_options["FogEnd"] = 100
        model.rendering_options["FogStart"] = 0
        model.rendering_options["FogType"] = 2
        model.rendering_options["FogUseBkColor"] = true
        model.rendering_options["ForegroundColor"] = Sketchup::Color.new(  0,   0,   0, 255)
        model.rendering_options["GroundColor"] = Sketchup::Color.new(148, 177, 148, 255)
        model.rendering_options["GroundTransparency"] = 100
        model.rendering_options["HideAnnotations"] = false
        model.rendering_options["HideConstructionGeometry"] = false
        model.rendering_options["HighlightColor"] = Sketchup::Color.new(255, 255,   0, 255)
        model.rendering_options["HorizonColor"] = Sketchup::Color.new(  0,   0,   0,   0)
        model.rendering_options["InactiveHidden"] = false
        model.rendering_options["InstanceHidden"] = false
        model.rendering_options["JitterEdges"] = false
        model.rendering_options["LineEndWidth"] = 6
        model.rendering_options["LineExtension"] = 3
        model.rendering_options["LockedColor"] = Sketchup::Color.new(255,   0,   0, 255)
        model.rendering_options["MaterialTransparency"] = true
        model.rendering_options["ModelTransparency"] = false
        model.rendering_options["RenderMode"] = 1
        model.rendering_options["SectionActiveColor"] = Sketchup::Color.new(102, 110, 141, 255)
        model.rendering_options["SectionCutWidth"] = 4
        model.rendering_options["SectionDefaultCutColor"] = Sketchup::Color.new(  0,   0,   0, 255)
        model.rendering_options["SectionInactiveColor"] = Sketchup::Color.new(192, 192, 192, 255)
        model.rendering_options["ShowViewName"] = true
        model.rendering_options["SilhouetteWidth"] = 2
        model.rendering_options["SkyColor"] = Sketchup::Color.new(183, 190, 224, 255)
        model.rendering_options["Texture"] = true
        model.rendering_options["TransparencySort"] = 2

    # ShadowInfo Set Up "Silhouettes" Page

        model.shadow_info["Dark"] = 24
        model.shadow_info["DisplayNorth"] = false
        model.shadow_info["DisplayOnAllFaces"] = false
        model.shadow_info["DisplayOnGroundPlane"] = false
        model.shadow_info["DisplayShadows"] = false
        model.shadow_info["EdgesCastShadows"] = false
        model.shadow_info["Light"] = 90
        model.shadow_info["UseSunForAllShading"] = false


    status = page.update
end     # def silhouettestemplate



#-----------------------------------------------------------------------------

# Set Up "X-Ray Sketch" Page
def xraysketchtemplate
    model = Sketchup.active_model
    pages = model.pages
    page = pages.add "X-Ray"
    page = pages.selected_page

    # Use the goodstuff, not the badstuff
        status = page.use_camera = false
        status = page.use_rendering_options = true
        status = page.use_shadow_info = true
        status = page.use_section_planes=false
        status = page.use_hidden_layers=false
        status = page.use_hidden=false
        status = page.use_axes=false


    # RenderingOptions Set Up "X-Ray Sketch" Page
        model.rendering_options["BackgroundColor"] = Sketchup::Color.new(255, 255, 255, 255)
        model.rendering_options["BandColor"] = Sketchup::Color.new(  0,   0,   0, 127)
        model.rendering_options["ConstructionColor"] = Sketchup::Color.new(255,   0, 255, 255)
        model.rendering_options["DepthQueWidth"] = 2
        model.rendering_options["DisplayColorByLayer"] = false
        model.rendering_options["DisplayFog"] = false
        model.rendering_options["DisplayFogEdges"] = false
        model.rendering_options["DisplayInstanceAxes"] = false
        model.rendering_options["DrawDepthQue"] = false
        model.rendering_options["DrawGround"] = false
        model.rendering_options["DrawHidden"] = false
        model.rendering_options["DrawHorizon"] = false
        model.rendering_options["DrawLineEnds"] = false
        model.rendering_options["DrawProfilesOnly"] = false
        model.rendering_options["DrawSilhouettes"] = false
        model.rendering_options["DrawUnderground"] = true
        model.rendering_options["EdgeColorMode"] = 1
        model.rendering_options["EdgeDisplayMode"] = 1
        model.rendering_options["ExtendLines"] = true
        model.rendering_options["FaceBackColor"] = Sketchup::Color.new(255, 255, 255, 255)
        model.rendering_options["FaceColorMode"] = 0
        model.rendering_options["FaceFrontColor"] = Sketchup::Color.new(255, 255, 255, 255)
        model.rendering_options["FogColor"] = Sketchup::Color.new(255, 255, 255, 255)
        model.rendering_options["FogDensity"] = 1.0e-004
        model.rendering_options["FogEnd"] = 100
        model.rendering_options["FogStart"] = 0
        model.rendering_options["FogType"] = 2
        model.rendering_options["FogUseBkColor"] = true
        model.rendering_options["ForegroundColor"] = Sketchup::Color.new(  0,   0,   0, 255)
        model.rendering_options["GroundColor"] = Sketchup::Color.new(148, 177, 148, 255)
        model.rendering_options["GroundTransparency"] = 100
        model.rendering_options["HideAnnotations"] = false
        model.rendering_options["HideConstructionGeometry"] = false
        model.rendering_options["HighlightColor"] = Sketchup::Color.new(255, 255,   0, 255)
        model.rendering_options["HorizonColor"] = Sketchup::Color.new(  0,   0,   0,   0)
        model.rendering_options["InactiveHidden"] = false
        model.rendering_options["InstanceHidden"] = false
        model.rendering_options["JitterEdges"] = false
        model.rendering_options["LineEndWidth"] = 16
        model.rendering_options["LineExtension"] = 12
        model.rendering_options["LockedColor"] = Sketchup::Color.new(255,   0,   0, 255)
        model.rendering_options["MaterialTransparency"] = true
        model.rendering_options["ModelTransparency"] = true
        model.rendering_options["RenderMode"] = 1
        model.rendering_options["SectionActiveColor"] = Sketchup::Color.new(102, 110, 141, 255)
        model.rendering_options["SectionCutWidth"] = 4
        model.rendering_options["SectionDefaultCutColor"] = Sketchup::Color.new(  0,   0,   0, 255)
        model.rendering_options["SectionInactiveColor"] = Sketchup::Color.new(192, 192, 192, 255)
        model.rendering_options["ShowViewName"] = true
        model.rendering_options["SilhouetteWidth"] = 2
        model.rendering_options["SkyColor"] = Sketchup::Color.new(183, 190, 224, 255)
        model.rendering_options["Texture"] = false
        model.rendering_options["TransparencySort"] = 2

    # ShadowInfo Set Up "X-Ray Sketch" Page
        model.shadow_info["Dark"] = 39
        model.shadow_info["DisplayOnAllFaces"] = false
        model.shadow_info["DisplayOnGroundPlane"] = false
        model.shadow_info["DisplayShadows"] = false
        model.shadow_info["EdgesCastShadows"] = false
        model.shadow_info["Light"] = 87
        model.shadow_info["UseSunForAllShading"] = true

    status = page.update
end     # def xraysketchtemplate

#-----------------------------------------------------------------------------

# Set Up "Material" Page
def materialtemplate
    model = Sketchup.active_model
    pages = model.pages
    page = pages.add "Material"
    page = pages.selected_page

    # Use the goodstuff, not the badstuff "Material" Page
        status = page.use_camera = false
        status = page.use_rendering_options = true
        status = page.use_shadow_info = true
        status = page.use_section_planes=false
        status = page.use_hidden_layers=false
        status = page.use_hidden=false
        status = page.use_axes=false

    # RenderingOptions Set Up "Material" Page
        model.rendering_options["BackgroundColor"] = Sketchup::Color.new(255, 255, 255, 255)
        model.rendering_options["BandColor"] = Sketchup::Color.new(  0,   0,   0, 127)
        model.rendering_options["ConstructionColor"] = Sketchup::Color.new(255,   0, 255, 255)
        model.rendering_options["DepthQueWidth"] = 4
        model.rendering_options["DisplayColorByLayer"] = false
        model.rendering_options["DisplayFog"] = false
        model.rendering_options["DisplayFogEdges"] = false
        model.rendering_options["DisplayInstanceAxes"] = false
        model.rendering_options["DrawDepthQue"] = false
        model.rendering_options["DrawGround"] = false
        model.rendering_options["DrawHidden"] = false
        model.rendering_options["DrawHorizon"] = false
        model.rendering_options["DrawLineEnds"] = false
        model.rendering_options["DrawProfilesOnly"] = false
        model.rendering_options["DrawSilhouettes"] = false
        model.rendering_options["DrawUnderground"] = false
        model.rendering_options["EdgeColorMode"] = 1
        model.rendering_options["EdgeDisplayMode"] = 0
        model.rendering_options["ExtendLines"] = true
        model.rendering_options["FaceBackColor"] = Sketchup::Color.new(255, 255, 255, 255)
        model.rendering_options["FaceColorMode"] = 0
        model.rendering_options["FaceFrontColor"] = Sketchup::Color.new(255, 255, 255, 255)
        model.rendering_options["FogColor"] = Sketchup::Color.new(255, 255, 255, 255)
        model.rendering_options["FogDensity"] = 1.0e-004
        model.rendering_options["FogEnd"] = 100
        model.rendering_options["FogStart"] = 0
        model.rendering_options["FogType"] = 2
        model.rendering_options["FogUseBkColor"] = true
        model.rendering_options["ForegroundColor"] = Sketchup::Color.new(  0,   0,   0, 255)
        model.rendering_options["GroundColor"] = Sketchup::Color.new(148, 177, 148, 255)
        model.rendering_options["GroundTransparency"] = 100
        model.rendering_options["HideAnnotations"] = false
        model.rendering_options["HideConstructionGeometry"] = false
        model.rendering_options["HighlightColor"] = Sketchup::Color.new(255, 255,   0, 255)
        model.rendering_options["HorizonColor"] = Sketchup::Color.new(  0,   0,   0,   0)
        model.rendering_options["InactiveHidden"] = false
        model.rendering_options["InstanceHidden"] = false
        model.rendering_options["JitterEdges"] = false
        model.rendering_options["LineEndWidth"] = 5
        model.rendering_options["LineExtension"] = 2
        model.rendering_options["LockedColor"] = Sketchup::Color.new(255,   0,   0, 255)
        model.rendering_options["MaterialTransparency"] = true
        model.rendering_options["ModelTransparency"] = false
        model.rendering_options["RenderMode"] = 2
        model.rendering_options["SectionActiveColor"] = Sketchup::Color.new(102, 110, 141, 255)
        model.rendering_options["SectionCutWidth"] = 4
        model.rendering_options["SectionDefaultCutColor"] = Sketchup::Color.new(  0,   0,   0, 255)
        model.rendering_options["SectionInactiveColor"] = Sketchup::Color.new(192, 192, 192, 255)
        model.rendering_options["ShowViewName"] = true
        model.rendering_options["SilhouetteWidth"] = 2
        model.rendering_options["SkyColor"] = Sketchup::Color.new(183, 190, 224, 255)
        model.rendering_options["Texture"] = false
        model.rendering_options["TransparencySort"] = 2

    # ShadowInfo Set Up "Material" Page

        model.shadow_info["Dark"] = 100
        model.shadow_info["DisplayOnAllFaces"] = true
        model.shadow_info["DisplayOnGroundPlane"] = false
        model.shadow_info["DisplayShadows"] = false
        model.shadow_info["EdgesCastShadows"] = false
        model.shadow_info["Light"] = 0
        model.shadow_info["UseSunForAllShading"] = true

    status = page.update
end #def materialtemplate


#---------------------------------------------------------------------
# Set Up "Texture" Page
def texturetemplate
    model = Sketchup.active_model
    pages = model.pages
    page = pages.add "Texture"
    page = pages.selected_page

    # Use the goodstuff, not the badstuff "Texture" Page
        status = page.use_camera = false
        status = page.use_rendering_options = true
        status = page.use_shadow_info = true
        status = page.use_section_planes=false
        status = page.use_hidden_layers=false
        status = page.use_hidden=false
        status = page.use_axes=false

    # RenderingOptions Set Up "Texture" Page
        model.rendering_options["BackgroundColor"] = Sketchup::Color.new(255, 255, 255, 255)
        model.rendering_options["BandColor"] = Sketchup::Color.new(  0,   0,   0, 127)
        model.rendering_options["ConstructionColor"] = Sketchup::Color.new(255,   0, 255, 255)
        model.rendering_options["DepthQueWidth"] = 4
        model.rendering_options["DisplayColorByLayer"] = false
        model.rendering_options["DisplayFog"] = false
        model.rendering_options["DisplayFogEdges"] = false
        model.rendering_options["DisplayInstanceAxes"] = false
        model.rendering_options["DrawDepthQue"] = false
        model.rendering_options["DrawGround"] = false
        model.rendering_options["DrawHidden"] = false
        model.rendering_options["DrawHorizon"] = false
        model.rendering_options["DrawLineEnds"] = false
        model.rendering_options["DrawProfilesOnly"] = false
        model.rendering_options["DrawSilhouettes"] = false
        model.rendering_options["DrawUnderground"] = false
        model.rendering_options["EdgeColorMode"] = 1
        model.rendering_options["EdgeDisplayMode"] = 0
        model.rendering_options["ExtendLines"] = true
        model.rendering_options["FaceBackColor"] = Sketchup::Color.new(255, 255, 255, 255)
        model.rendering_options["FaceColorMode"] = 0
        model.rendering_options["FaceFrontColor"] = Sketchup::Color.new(255, 255, 255, 255)
        model.rendering_options["FogColor"] = Sketchup::Color.new(255, 255, 255, 255)
        model.rendering_options["FogDensity"] = 1.0e-004
        model.rendering_options["FogEnd"] = 100
        model.rendering_options["FogStart"] = 0
        model.rendering_options["FogType"] = 2
        model.rendering_options["FogUseBkColor"] = true
        model.rendering_options["ForegroundColor"] = Sketchup::Color.new(  0,   0,   0, 255)
        model.rendering_options["GroundColor"] = Sketchup::Color.new(148, 177, 148, 255)
        model.rendering_options["GroundTransparency"] = 100
        model.rendering_options["HideAnnotations"] = false
        model.rendering_options["HideConstructionGeometry"] = false
        model.rendering_options["HighlightColor"] = Sketchup::Color.new(255, 255,   0, 255)
        model.rendering_options["HorizonColor"] = Sketchup::Color.new(  0,   0,   0,   0)
        model.rendering_options["InactiveHidden"] = false
        model.rendering_options["InstanceHidden"] = false
        model.rendering_options["JitterEdges"] = false
        model.rendering_options["LineEndWidth"] = 5
        model.rendering_options["LineExtension"] = 2
        model.rendering_options["LockedColor"] = Sketchup::Color.new(255,   0,   0, 255)
        model.rendering_options["MaterialTransparency"] = true
        model.rendering_options["ModelTransparency"] = false
        model.rendering_options["RenderMode"] = 2
        model.rendering_options["SectionActiveColor"] = Sketchup::Color.new(102, 110, 141, 255)
        model.rendering_options["SectionCutWidth"] = 4
        model.rendering_options["SectionDefaultCutColor"] = Sketchup::Color.new(  0,   0,   0, 255)
        model.rendering_options["SectionInactiveColor"] = Sketchup::Color.new(192, 192, 192, 255)
        model.rendering_options["ShowViewName"] = true
        model.rendering_options["SilhouetteWidth"] = 2
        model.rendering_options["SkyColor"] = Sketchup::Color.new(183, 190, 224, 255)
        model.rendering_options["Texture"] = true
        model.rendering_options["TransparencySort"] = 2


    # ShadowInfo Set Up "Texture" Page

        model.shadow_info["Dark"] = 80
        model.shadow_info["DisplayOnAllFaces"] = true
        model.shadow_info["DisplayOnGroundPlane"] = false
        model.shadow_info["DisplayShadows"] = false
        model.shadow_info["EdgesCastShadows"] = false
        model.shadow_info["Light"] = 60
        model.shadow_info["UseSunForAllShading"] = true


    status = page.update
end #def texturetemplate


#-----------------------------------------------------------------------------

# Set Up "Sun Shade" Page
def sunshadetemplate
    model = Sketchup.active_model
    pages = model.pages
    page = pages.add "Sun Shade"
    page = pages.selected_page

    # Use the goodstuff, not the badstuff "Sun Shade" Page
        status = page.use_camera = false
        status = page.use_rendering_options = true
        status = page.use_shadow_info = true
        status = page.use_section_planes=false
        status = page.use_hidden_layers=false
        status = page.use_hidden=false
        status = page.use_axes=false


    # RenderingOptions Set Up "Sun Shade" Page
        model.rendering_options["BackgroundColor"] = Sketchup::Color.new(255, 255, 255, 255)
        model.rendering_options["BandColor"] = Sketchup::Color.new(  0,   0,   0, 127)
        model.rendering_options["ConstructionColor"] = Sketchup::Color.new(255,   0, 255, 255)
        model.rendering_options["DepthQueWidth"] = 4
        model.rendering_options["DisplayColorByLayer"] = false
        model.rendering_options["DisplayFog"] = false
        model.rendering_options["DisplayFogEdges"] = false
        model.rendering_options["DisplayInstanceAxes"] = false
        model.rendering_options["DrawDepthQue"] = false
        model.rendering_options["DrawGround"] = false
        model.rendering_options["DrawHidden"] = false
        model.rendering_options["DrawHorizon"] = false
        model.rendering_options["DrawLineEnds"] = false
        model.rendering_options["DrawProfilesOnly"] = false
        model.rendering_options["DrawSilhouettes"] = false
        model.rendering_options["DrawUnderground"] = true
        model.rendering_options["EdgeColorMode"] = 1
        model.rendering_options["EdgeDisplayMode"] = 0
        model.rendering_options["ExtendLines"] = true
        model.rendering_options["FaceBackColor"] = Sketchup::Color.new(255, 255, 255, 255)
        model.rendering_options["FaceColorMode"] = 0
        model.rendering_options["FaceFrontColor"] = Sketchup::Color.new(255, 255, 255, 255)
        model.rendering_options["FogColor"] = Sketchup::Color.new(255, 255, 255, 255)
        model.rendering_options["FogDensity"] = 1.0e-004
        model.rendering_options["FogEnd"] = 100
        model.rendering_options["FogStart"] = 0
        model.rendering_options["FogType"] = 2
        model.rendering_options["FogUseBkColor"] = true
        model.rendering_options["ForegroundColor"] = Sketchup::Color.new(  0,   0,   0, 255)
        model.rendering_options["GroundColor"] = Sketchup::Color.new(255, 255, 255, 255)
        model.rendering_options["GroundTransparency"] = 100
        model.rendering_options["HideAnnotations"] = false
        model.rendering_options["HideConstructionGeometry"] = false
        model.rendering_options["HighlightColor"] = Sketchup::Color.new(255, 255,   0, 255)
        model.rendering_options["HorizonColor"] = Sketchup::Color.new(  0,   0,   0,   0)
        model.rendering_options["InactiveHidden"] = false
        model.rendering_options["InstanceHidden"] = false
        model.rendering_options["JitterEdges"] = false
        model.rendering_options["LineEndWidth"] = 5
        model.rendering_options["LineExtension"] = 2
        model.rendering_options["LockedColor"] = Sketchup::Color.new(255,   0,   0, 255)
        model.rendering_options["MaterialTransparency"] = false
        model.rendering_options["ModelTransparency"] = false
        model.rendering_options["RenderMode"] = 5
        model.rendering_options["SectionActiveColor"] = Sketchup::Color.new(102, 110, 141, 255)
        model.rendering_options["SectionCutWidth"] = 4
        model.rendering_options["SectionDefaultCutColor"] = Sketchup::Color.new(  0,   0,   0, 255)
        model.rendering_options["SectionInactiveColor"] = Sketchup::Color.new(192, 192, 192, 255)
        model.rendering_options["ShowViewName"] = true
        model.rendering_options["SilhouetteWidth"] = 0
        model.rendering_options["SkyColor"] = Sketchup::Color.new(183, 190, 224, 255)
        model.rendering_options["Texture"] = false
        model.rendering_options["TransparencySort"] = 2

    # ShadowInfo Set Up "Sun Shade" Page

        model.shadow_info["Dark"] = 30
        model.shadow_info["DisplayOnAllFaces"] = false
        model.shadow_info["DisplayOnGroundPlane"] = false
        model.shadow_info["DisplayShadows"] = false
        model.shadow_info["EdgesCastShadows"] = false
        model.shadow_info["Light"] = 80
        model.shadow_info["UseSunForAllShading"] = true


    status = page.update
end # def sunshadetemplate


#-----------------------------------------------------------------------------


# Set Up "Cam Shade" Page
def camshadetemplate
    model = Sketchup.active_model
    pages = model.pages
    page = pages.add "Cam Shade"
    page = pages.selected_page

    # Use the goodstuff, not the badstuff "Cam Shade" Page
        status = page.use_camera = false
        status = page.use_rendering_options = true
        status = page.use_shadow_info = true
        status = page.use_section_planes=false
        status = page.use_hidden_layers=false
        status = page.use_hidden=false
        status = page.use_axes=false

    # RenderingOptions Set Up "Cam Shade" Page
        model.rendering_options["BackgroundColor"] = Sketchup::Color.new(255, 255, 255, 255)
        model.rendering_options["BandColor"] = Sketchup::Color.new(  0,   0,   0, 127)
        model.rendering_options["ConstructionColor"] = Sketchup::Color.new(255,   0, 255, 255)
        model.rendering_options["DepthQueWidth"] = 4
        model.rendering_options["DisplayColorByLayer"] = false
        model.rendering_options["DisplayFog"] = false
        model.rendering_options["DisplayFogEdges"] = false
        model.rendering_options["DisplayInstanceAxes"] = false
        model.rendering_options["DrawDepthQue"] = false
        model.rendering_options["DrawGround"] = false
        model.rendering_options["DrawHidden"] = false
        model.rendering_options["DrawHorizon"] = false
        model.rendering_options["DrawLineEnds"] = false
        model.rendering_options["DrawProfilesOnly"] = false
        model.rendering_options["DrawSilhouettes"] = false
        model.rendering_options["DrawUnderground"] = true
        model.rendering_options["EdgeColorMode"] = 1
        model.rendering_options["EdgeDisplayMode"] = 0
        model.rendering_options["ExtendLines"] = true
        model.rendering_options["FaceBackColor"] = Sketchup::Color.new(255, 255, 255, 255)
        model.rendering_options["FaceColorMode"] = 0
        model.rendering_options["FaceFrontColor"] = Sketchup::Color.new(255, 255, 255, 255)
        model.rendering_options["FogColor"] = Sketchup::Color.new(255, 255, 255, 255)
        model.rendering_options["FogDensity"] = 1.0e-004
        model.rendering_options["FogEnd"] = 100
        model.rendering_options["FogStart"] = 0
        model.rendering_options["FogType"] = 2
        model.rendering_options["FogUseBkColor"] = true
        model.rendering_options["ForegroundColor"] = Sketchup::Color.new(  0,   0,   0, 255)
        model.rendering_options["GroundColor"] = Sketchup::Color.new(148, 177, 148, 255)
        model.rendering_options["GroundTransparency"] = 100
        model.rendering_options["HideAnnotations"] = false
        model.rendering_options["HideConstructionGeometry"] = false
        model.rendering_options["HighlightColor"] = Sketchup::Color.new(255, 255,   0, 255)
        model.rendering_options["HorizonColor"] = Sketchup::Color.new(  0,   0,   0,   0)
        model.rendering_options["InactiveHidden"] = false
        model.rendering_options["InstanceHidden"] = false
        model.rendering_options["JitterEdges"] = false
        model.rendering_options["LineEndWidth"] = 5
        model.rendering_options["LineExtension"] = 2
        model.rendering_options["LockedColor"] = Sketchup::Color.new(255,   0,   0, 255)
        model.rendering_options["MaterialTransparency"] = true
        model.rendering_options["ModelTransparency"] = false
        model.rendering_options["RenderMode"] = 5
        model.rendering_options["SectionActiveColor"] = Sketchup::Color.new(102, 110, 141, 255)
        model.rendering_options["SectionCutWidth"] = 4
        model.rendering_options["SectionDefaultCutColor"] = Sketchup::Color.new(  0,   0,   0, 255)
        model.rendering_options["SectionInactiveColor"] = Sketchup::Color.new(192, 192, 192, 255)
        model.rendering_options["ShowViewName"] = true
        model.rendering_options["SilhouetteWidth"] = 2
        model.rendering_options["SkyColor"] = Sketchup::Color.new(183, 190, 224, 255)
        model.rendering_options["Texture"] = false
        model.rendering_options["TransparencySort"] = 2

    # ShadowInfo Set Up "Cam Shade" Page

        model.shadow_info["Dark"] = 0
        model.shadow_info["DisplayOnAllFaces"] = true
        model.shadow_info["DisplayOnGroundPlane"] = false
        model.shadow_info["DisplayShadows"] = false
        model.shadow_info["EdgesCastShadows"] = false
        model.shadow_info["Light"] = 100
        model.shadow_info["UseSunForAllShading"] = false


    status = page.update
end     #def camshadetemplate


#-----------------------------------------------------------------------------


# Set Up "Shadows" Page
def shadowtemplate
    model = Sketchup.active_model
    pages = model.pages
    page = pages.add "Shadows"
    page = pages.selected_page

    # Use the goodstuff, not the badstuff "Shadows" Page
        status = page.use_camera = false
        status = page.use_rendering_options = true
        status = page.use_shadow_info = true
        status = page.use_section_planes=false
        status = page.use_hidden_layers=false
        status = page.use_hidden=false
        status = page.use_axes=false

    # RenderingOptions Set Up "Shadows" Page
        model.rendering_options["BackgroundColor"] = Sketchup::Color.new(255, 255, 255, 255)
        model.rendering_options["BandColor"] = Sketchup::Color.new(  0,   0,   0, 127)
        model.rendering_options["ConstructionColor"] = Sketchup::Color.new(255,   0, 255, 255)
        model.rendering_options["DisplayColorByLayer"] = false
        model.rendering_options["DisplayFog"] = false
        model.rendering_options["DisplayFogEdges"] = false
        model.rendering_options["DisplayInstanceAxes"] = false
        model.rendering_options["DrawGround"] = false
        model.rendering_options["DrawHidden"] = false
        model.rendering_options["DrawHorizon"] = false
        model.rendering_options["DrawSilhouettes"] = false
        model.rendering_options["DrawUnderground"] = true
        model.rendering_options["EdgeColorMode"] = 1
        model.rendering_options["EdgeDisplayMode"] = 0
        model.rendering_options["ExtendLines"] = false
        model.rendering_options["FaceBackColor"] = Sketchup::Color.new(255, 255, 255, 255)
        model.rendering_options["FaceColorMode"] = 0
        model.rendering_options["FaceFrontColor"] = Sketchup::Color.new(255, 255, 255, 255)
        model.rendering_options["FogColor"] = Sketchup::Color.new(255, 255, 255, 255)
        model.rendering_options["FogDensity"] = 1.0e-004
        model.rendering_options["FogEnd"] = 100
        model.rendering_options["FogStart"] = 0
        model.rendering_options["FogType"] = 2
        model.rendering_options["FogUseBkColor"] = true
        model.rendering_options["ForegroundColor"] = Sketchup::Color.new(219, 219, 219, 255)
        model.rendering_options["GroundColor"] = Sketchup::Color.new(148, 177, 148, 255)
        model.rendering_options["GroundTransparency"] = 100
        model.rendering_options["HighlightColor"] = Sketchup::Color.new(255, 255,   0, 255)
        model.rendering_options["HorizonColor"] = Sketchup::Color.new(  0,   0,   0,   0)
        model.rendering_options["InactiveHidden"] = false
        model.rendering_options["InstanceHidden"] = false
        model.rendering_options["JitterEdges"] = false
        model.rendering_options["LineExtension"] = 2
        model.rendering_options["MaterialTransparency"] = true
        model.rendering_options["ModelTransparency"] = false
        model.rendering_options["RenderMode"] = 5
        model.rendering_options["SectionActiveColor"] = Sketchup::Color.new(102, 110, 141, 255)
        model.rendering_options["SectionCutWidth"] = 4
        model.rendering_options["SectionDefaultCutColor"] = Sketchup::Color.new(  0,   0,   0, 255)
        model.rendering_options["SectionInactiveColor"] = Sketchup::Color.new(192, 192, 192, 255)
        model.rendering_options["SilhouetteWidth"] = 2
        model.rendering_options["SkyColor"] = Sketchup::Color.new(183, 190, 224, 255)
        model.rendering_options["Texture"] = true
        model.rendering_options["TransparencySort"] = 2

    # ShadowInfo Set Up "Shadows" Page

        model.shadow_info["Dark"] = 50
        model.shadow_info["DisplayNorth"] = false
        model.shadow_info["DisplayOnAllFaces"] = true
        model.shadow_info["DisplayOnGroundPlane"] = false
        model.shadow_info["DisplayShadows"] = true
        model.shadow_info["EdgesCastShadows"] = false
        model.shadow_info["Light"] = 100
        model.shadow_info["UseSunForAllShading"] = true


    status = page.update
end     #def shadowtemplate


#-----------------------------------------------------------------------------


# Set Up "Depth Map" Page
def depthmaptemplate
    model = Sketchup.active_model
    pages = model.pages
    page = pages.add "Depth Map"
    page = pages.selected_page

    # RenderingOptions Set Up "Depth Map" Page
        model.rendering_options["BackgroundColor"] = Sketchup::Color.new(255, 255, 255, 255)
        model.rendering_options["BandColor"] = Sketchup::Color.new(  0,   0,   0, 127)
        model.rendering_options["ConstructionColor"] = Sketchup::Color.new(255,   0, 255, 255)
        model.rendering_options["DisplayColorByLayer"] = false
        model.rendering_options["DisplayFog"] = true
        model.rendering_options["DisplayFogEdges"] = false
        model.rendering_options["DisplayInstanceAxes"] = false
        model.rendering_options["DrawGround"] = false
        model.rendering_options["DrawHidden"] = false
        model.rendering_options["DrawHorizon"] = false
        model.rendering_options["DrawSilhouettes"] = false
        model.rendering_options["DrawUnderground"] = true
        model.rendering_options["EdgeColorMode"] = 1
        model.rendering_options["EdgeDisplayMode"] = 0
        model.rendering_options["ExtendLines"] = false
        model.rendering_options["FaceBackColor"] = Sketchup::Color.new(255, 255, 255, 255)
        model.rendering_options["FaceColorMode"] = 0
        model.rendering_options["FaceFrontColor"] = Sketchup::Color.new(255, 255, 255, 255)
        model.rendering_options["FogColor"] = Sketchup::Color.new(  0,   0,   0, 255)
        model.rendering_options["FogDensity"] = 1.0e-004
        model.rendering_options["FogEnd"] = 100
        model.rendering_options["FogStart"] = 0
        model.rendering_options["FogType"] = 2
        model.rendering_options["FogUseBkColor"] = false
        model.rendering_options["ForegroundColor"] = Sketchup::Color.new(219, 219, 219, 255)
        model.rendering_options["GroundColor"] = Sketchup::Color.new(148, 177, 148, 255)
        model.rendering_options["GroundTransparency"] = 100
        model.rendering_options["HighlightColor"] = Sketchup::Color.new(255,255,255, 255)
        model.rendering_options["HorizonColor"] = Sketchup::Color.new(  0,   0,   0,   0)
        model.rendering_options["InactiveHidden"] = false
        model.rendering_options["InstanceHidden"] = false
        model.rendering_options["JitterEdges"] = false
        model.rendering_options["LineExtension"] = 2
        model.rendering_options["MaterialTransparency"] = true
        model.rendering_options["ModelTransparency"] = false
        model.rendering_options["RenderMode"] = 5
        model.rendering_options["SectionActiveColor"] = Sketchup::Color.new(102, 110, 141, 255)
        model.rendering_options["SectionCutWidth"] = 4
        model.rendering_options["SectionDefaultCutColor"] = Sketchup::Color.new(  0,   0,   0, 255)
        model.rendering_options["SectionInactiveColor"] = Sketchup::Color.new(192, 192, 192, 255)
        model.rendering_options["SilhouetteWidth"] = 2
        model.rendering_options["SkyColor"] = Sketchup::Color.new(183, 190, 224, 255)
        model.rendering_options["Texture"] = true
        model.rendering_options["TransparencySort"] = 2

    # ShadowInfo Set Up "Depth Map" Page

        model.shadow_info["Dark"] = 100
        model.shadow_info["DisplayNorth"] = false
        model.shadow_info["DisplayOnAllFaces"] = true
        model.shadow_info["DisplayOnGroundPlane"] = false
        model.shadow_info["DisplayShadows"] = false
        model.shadow_info["EdgesCastShadows"] = false
        model.shadow_info["Light"] = 0
        model.shadow_info["UseSunForAllShading"] = true

    # Use the goodstuff, not the badstuff "Depth Map" Page
    status = page.use_camera = false
    status = page.use_rendering_options = true
    status = page.use_shadow_info = true
    status = page.use_section_planes=false
    status = page.use_hidden_layers=false
    status = page.use_hidden=false
    status = page.use_axes=false
    status = page.update
end     # def depthmaptemplate




#-----------------------------------------------------------------------------


# Set Up "Alpha" Page
def alphatemplate
    model = Sketchup.active_model
    pages = model.pages
    page = pages.add "Alpha"
    page = pages.selected_page

    # Use the goodstuff, not the badstuff "Depth Map" Page
    status = page.use_camera = false
    status = page.use_rendering_options = true
    status = page.use_shadow_info = true
    status = page.use_section_planes=false
    status = page.use_hidden_layers=false
    status = page.use_hidden=false
    status = page.use_axes=false
    status = page.update

    # RenderingOptions Set Up "Alpha" Page
        model.rendering_options["BackgroundColor"] = Sketchup::Color.new(  0,   0,   0, 255)
        model.rendering_options["BandColor"] = Sketchup::Color.new(  0,   0,   0, 127)
        model.rendering_options["ConstructionColor"] = Sketchup::Color.new(255,   0, 255, 255)
        model.rendering_options["DisplayColorByLayer"] = false
        model.rendering_options["DisplayFog"] = false
        model.rendering_options["DisplayFogEdges"] = false
        model.rendering_options["DisplayInstanceAxes"] = false
        model.rendering_options["DrawGround"] = false
        model.rendering_options["DrawHidden"] = false
        model.rendering_options["DrawHorizon"] = false
        model.rendering_options["DrawSilhouettes"] = false
        model.rendering_options["DrawUnderground"] = true
        model.rendering_options["EdgeColorMode"] = 1
        model.rendering_options["EdgeDisplayMode"] = 0
        model.rendering_options["ExtendLines"] = false
        model.rendering_options["FaceBackColor"] = Sketchup::Color.new(255, 255, 255, 255)
        model.rendering_options["FaceColorMode"] = 0
        model.rendering_options["FaceFrontColor"] = Sketchup::Color.new(255, 255, 255, 255)
        model.rendering_options["FogColor"] = Sketchup::Color.new(  0,   0,   0, 255)
        model.rendering_options["FogDensity"] = 1.0e-004
        model.rendering_options["FogEnd"] = 100
        model.rendering_options["FogStart"] = 0
        model.rendering_options["FogType"] = 2
        model.rendering_options["FogUseBkColor"] = true
        model.rendering_options["ForegroundColor"] = Sketchup::Color.new(255, 255, 255, 255)
        model.rendering_options["GroundColor"] = Sketchup::Color.new(148, 177, 148, 255)
        model.rendering_options["GroundTransparency"] = 100
        model.rendering_options["HighlightColor"] = Sketchup::Color.new(255, 255,   0, 255)
        model.rendering_options["HorizonColor"] = Sketchup::Color.new(  0,   0,   0,   0)
        model.rendering_options["InactiveHidden"] = false
        model.rendering_options["InstanceHidden"] = false
        model.rendering_options["JitterEdges"] = false
        model.rendering_options["LineExtension"] = 0
        model.rendering_options["MaterialTransparency"] = false
        model.rendering_options["ModelTransparency"] = false
        model.rendering_options["RenderMode"] = 5
        model.rendering_options["SectionActiveColor"] = Sketchup::Color.new(102, 110, 141, 255)
        model.rendering_options["SectionCutWidth"] = 4
        model.rendering_options["SectionDefaultCutColor"] = Sketchup::Color.new(  0,   0,   0, 255)
        model.rendering_options["SectionInactiveColor"] = Sketchup::Color.new(192, 192, 192, 255)
        model.rendering_options["SilhouetteWidth"] = 0
        model.rendering_options["SkyColor"] = Sketchup::Color.new(183, 190, 224, 255)
        model.rendering_options["Texture"] = false
        model.rendering_options["TransparencySort"] = 2

    # ShadowInfo Set Up "Alpha" Page

        model.shadow_info["Dark"] = 100
        model.shadow_info["DisplayNorth"] = false
        model.shadow_info["DisplayOnAllFaces"] = true
        model.shadow_info["DisplayOnGroundPlane"] = false
        model.shadow_info["DisplayShadows"] = false
        model.shadow_info["EdgesCastShadows"] = false
        model.shadow_info["Light"] = 0
        model.shadow_info["UseSunForAllShading"] = true

    status = page.update



end     # def alphatemplate


#-----------------------------------------------------------------------------
def fixdepthmaptemplate
    notyet
end

#-----------------------------------------------------------------------------


def sepiatemplate
    model = Sketchup.active_model
    pages = model.pages
    page = pages.add "Sepia"
    page = pages.selected_page

    # Use the goodstuff, not the badstuff "Depth Map" Page
    status = page.use_camera = false
    status = page.use_rendering_options = true
    status = page.use_shadow_info = true
    status = page.use_section_planes=false
    status = page.use_hidden_layers=false
    status = page.use_hidden=false
    status = page.use_axes=false
    status = page.update

    # RenderingOptions Set Up "Sepia" Page
        model.rendering_options["BackgroundColor"] = Sketchup::Color.new(188, 160, 145, 255)
        model.rendering_options["BandColor"] = Sketchup::Color.new(  0,   0,   0, 127)
        model.rendering_options["ConstructionColor"] = Sketchup::Color.new(255,   0, 255, 255)
        model.rendering_options["DepthQueWidth"] = 2
        model.rendering_options["DisplayColorByLayer"] = false
        model.rendering_options["DisplayFog"] = false
        model.rendering_options["DisplayFogEdges"] = false
        model.rendering_options["DisplayInstanceAxes"] = false
        model.rendering_options["DrawDepthQue"] = true
        model.rendering_options["DrawGround"] = false
        model.rendering_options["DrawHidden"] = false
        model.rendering_options["DrawHorizon"] = false
        model.rendering_options["DrawLineEnds"] = true
        model.rendering_options["DrawProfilesOnly"] = false
        model.rendering_options["DrawSilhouettes"] = true
        model.rendering_options["DrawUnderground"] = true
        model.rendering_options["EdgeColorMode"] = 1
        model.rendering_options["EdgeDisplayMode"] = 1
        model.rendering_options["ExtendLines"] = true
        model.rendering_options["FaceBackColor"] = Sketchup::Color.new(188, 168, 156, 255)
        model.rendering_options["FaceColorMode"] = 0
        model.rendering_options["FaceFrontColor"] = Sketchup::Color.new(188, 160, 145, 255)
        model.rendering_options["FogColor"] = Sketchup::Color.new(188, 160, 145, 255)
        model.rendering_options["FogDensity"] = 1.0e-004
        model.rendering_options["FogEnd"] = 100
        model.rendering_options["FogStart"] = 0
        model.rendering_options["FogType"] = 2
        model.rendering_options["FogUseBkColor"] = true
        model.rendering_options["ForegroundColor"] = Sketchup::Color.new( 60,  30,  20, 255)
        model.rendering_options["GroundColor"] = Sketchup::Color.new(148, 177, 148, 255)
        model.rendering_options["GroundTransparency"] = 100
        model.rendering_options["HideAnnotations"] = false
        model.rendering_options["HideConstructionGeometry"] = false
        model.rendering_options["HighlightColor"] = Sketchup::Color.new(255, 255,   0, 255)
        model.rendering_options["HorizonColor"] = Sketchup::Color.new(  0,   0,   0,   0)
        model.rendering_options["InactiveHidden"] = false
        model.rendering_options["InstanceHidden"] = false
        model.rendering_options["JitterEdges"] = false
        model.rendering_options["LineEndWidth"] = 2
        model.rendering_options["LineExtension"] = 1
        model.rendering_options["LockedColor"] = Sketchup::Color.new(255,   0,   0, 255)
        model.rendering_options["MaterialTransparency"] = false
        model.rendering_options["ModelTransparency"] = false
        model.rendering_options["RenderMode"] = 5
        model.rendering_options["SectionActiveColor"] = Sketchup::Color.new(102, 110, 141, 255)
        model.rendering_options["SectionCutWidth"] = 4
        model.rendering_options["SectionDefaultCutColor"] = Sketchup::Color.new(  0,   0,   0, 255)
        model.rendering_options["SectionInactiveColor"] = Sketchup::Color.new(192, 192, 192, 255)
        model.rendering_options["ShowViewName"] = true
        model.rendering_options["SilhouetteWidth"] = 2
        model.rendering_options["SkyColor"] = Sketchup::Color.new(183, 190, 224, 255)
        model.rendering_options["Texture"] = false
        model.rendering_options["TransparencySort"] = 2

    # ShadowInfo Set Up "Sepia" Page

        model.shadow_info["Dark"] = 90
        model.shadow_info["DisplayOnAllFaces"] = true
        model.shadow_info["DisplayOnGroundPlane"] = false
        model.shadow_info["DisplayShadows"] = false
        model.shadow_info["EdgesCastShadows"] = false
        model.shadow_info["Light"] = 0
        model.shadow_info["UseSunForAllShading"] = true

    status = page.update

    model = Sketchup.active_model
    pages = model.pages
    page = pages.selected_page
    status = page.update
    view = model.active_view
    status = view.invalidate


end     # def sepiatemplate

#-----------------------------------------------------------------------------
def bluelinetemplate
    model = Sketchup.active_model
    pages = model.pages
    page = pages.add "Blueline"
    page = pages.selected_page

    # Use the goodstuff, not the badstuff "Depth Map" Page
    status = page.use_camera = false
    status = page.use_rendering_options = true
    status = page.use_shadow_info = true
    status = page.use_section_planes=false
    status = page.use_hidden_layers=false
    status = page.use_hidden=false
    status = page.use_axes=false
    status = page.update

    # RenderingOptions Set Up "Blueline" Page
        model.rendering_options["BackgroundColor"] = Sketchup::Color.new(144, 144, 212, 255)
        model.rendering_options["BandColor"] = Sketchup::Color.new(  0,   0,   0, 127)
        model.rendering_options["ConstructionColor"] = Sketchup::Color.new(255,   0, 255, 255)
        model.rendering_options["DepthQueWidth"] = 2
        model.rendering_options["DisplayColorByLayer"] = false
        model.rendering_options["DisplayFog"] = false
        model.rendering_options["DisplayFogEdges"] = false
        model.rendering_options["DisplayInstanceAxes"] = false
        model.rendering_options["DrawDepthQue"] = false
        model.rendering_options["DrawGround"] = false
        model.rendering_options["DrawHidden"] = false
        model.rendering_options["DrawHorizon"] = false
        model.rendering_options["DrawLineEnds"] = false
        model.rendering_options["DrawProfilesOnly"] = false
        model.rendering_options["DrawSilhouettes"] = true
        model.rendering_options["DrawUnderground"] = true
        model.rendering_options["EdgeColorMode"] = 1
        model.rendering_options["EdgeDisplayMode"] = 1
        model.rendering_options["ExtendLines"] = true
        model.rendering_options["FaceBackColor"] = Sketchup::Color.new(144, 160, 212, 255)
        model.rendering_options["FaceColorMode"] = 0
        model.rendering_options["FaceFrontColor"] = Sketchup::Color.new(144, 156, 192, 255)
        model.rendering_options["FogColor"] = Sketchup::Color.new(144, 160, 212, 255)
        model.rendering_options["FogDensity"] = 1.0e-004
        model.rendering_options["FogEnd"] = 100
        model.rendering_options["FogStart"] = 0
        model.rendering_options["FogType"] = 2
        model.rendering_options["FogUseBkColor"] = true
        model.rendering_options["ForegroundColor"] = Sketchup::Color.new( 50,  50, 119, 255)
        model.rendering_options["GroundColor"] = Sketchup::Color.new(148, 177, 148, 255)
        model.rendering_options["GroundTransparency"] = 100
        model.rendering_options["HideAnnotations"] = false
        model.rendering_options["HideConstructionGeometry"] = false
        model.rendering_options["HighlightColor"] = Sketchup::Color.new(255, 255,   0, 255)
        model.rendering_options["HorizonColor"] = Sketchup::Color.new(  0,   0,   0,   0)
        model.rendering_options["InactiveHidden"] = false
        model.rendering_options["InstanceHidden"] = false
        model.rendering_options["JitterEdges"] = false
        model.rendering_options["LineEndWidth"] = 1
        model.rendering_options["LineExtension"] = 4
        model.rendering_options["LockedColor"] = Sketchup::Color.new(255,   0,   0, 255)
        model.rendering_options["MaterialTransparency"] = false
        model.rendering_options["ModelTransparency"] = false
        model.rendering_options["RenderMode"] = 5
        model.rendering_options["SectionActiveColor"] = Sketchup::Color.new(102, 110, 141, 255)
        model.rendering_options["SectionCutWidth"] = 4
        model.rendering_options["SectionDefaultCutColor"] = Sketchup::Color.new(  0,   0,   0, 255)
        model.rendering_options["SectionInactiveColor"] = Sketchup::Color.new(192, 192, 192, 255)
        model.rendering_options["ShowViewName"] = true
        model.rendering_options["SilhouetteWidth"] = 2
        model.rendering_options["SkyColor"] = Sketchup::Color.new(183, 190, 224, 255)
        model.rendering_options["Texture"] = false
        model.rendering_options["TransparencySort"] = 2

    # ShadowInfo Set Up "Blueline" Page

        model.shadow_info["Dark"] = 85
        model.shadow_info["DisplayOnAllFaces"] = true
        model.shadow_info["DisplayOnGroundPlane"] = false
        model.shadow_info["DisplayShadows"] = false
        model.shadow_info["EdgesCastShadows"] = false
        model.shadow_info["Light"] = 0
        model.shadow_info["UseSunForAllShading"] = true


    status = page.update

    model = Sketchup.active_model
    pages = model.pages
    page = pages.selected_page
    status = page.update
    view = model.active_view
    status = view.invalidate


end     # def bluelinetemplate

#-----------------------------------------------------------------------------

def blueprinttemplate
    model = Sketchup.active_model
    pages = model.pages
    page = pages.add "Blueprint"
    page = pages.selected_page

    # Use the goodstuff, not the badstuff "Depth Map" Page
    status = page.use_camera = false
    status = page.use_rendering_options = true
    status = page.use_shadow_info = true
    status = page.use_section_planes=false
    status = page.use_hidden_layers=false
    status = page.use_hidden=false
    status = page.use_axes=false
    status = page.update

    # RenderingOptions Set Up "Blueprint" Page
        model.rendering_options["BackgroundColor"] = Sketchup::Color.new(  0,   0, 144, 255)
        model.rendering_options["BandColor"] = Sketchup::Color.new(  0,   0,   0, 127)
        model.rendering_options["ConstructionColor"] = Sketchup::Color.new(255,   0, 255, 255)
        model.rendering_options["DepthQueWidth"] = 4
        model.rendering_options["DisplayColorByLayer"] = false
        model.rendering_options["DisplayFog"] = false
        model.rendering_options["DisplayFogEdges"] = false
        model.rendering_options["DisplayInstanceAxes"] = false
        model.rendering_options["DrawDepthQue"] = false
        model.rendering_options["DrawGround"] = false
        model.rendering_options["DrawHidden"] = false
        model.rendering_options["DrawHorizon"] = false
        model.rendering_options["DrawLineEnds"] = true
        model.rendering_options["DrawProfilesOnly"] = false
        model.rendering_options["DrawSilhouettes"] = false
        model.rendering_options["DrawUnderground"] = true
        model.rendering_options["EdgeColorMode"] = 1
        model.rendering_options["EdgeDisplayMode"] = 1
        model.rendering_options["ExtendLines"] = true
        model.rendering_options["FaceBackColor"] = Sketchup::Color.new(  0,   0, 144, 255)
        model.rendering_options["FaceColorMode"] = 0
        model.rendering_options["FaceFrontColor"] = Sketchup::Color.new(  0,   0, 144, 255)
        model.rendering_options["FogColor"] = Sketchup::Color.new(  0,   0, 144, 255)
        model.rendering_options["FogDensity"] = 1.0e-004
        model.rendering_options["FogEnd"] = 100
        model.rendering_options["FogStart"] = 0
        model.rendering_options["FogType"] = 2
        model.rendering_options["FogUseBkColor"] = true
        model.rendering_options["ForegroundColor"] = Sketchup::Color.new(255, 255, 255, 255)
        model.rendering_options["GroundColor"] = Sketchup::Color.new(148, 177, 148, 255)
        model.rendering_options["GroundTransparency"] = 100
        model.rendering_options["HideAnnotations"] = false
        model.rendering_options["HideConstructionGeometry"] = false
        model.rendering_options["HighlightColor"] = Sketchup::Color.new(255, 255,   0, 255)
        model.rendering_options["HorizonColor"] = Sketchup::Color.new(  0,   0,   0,   0)
        model.rendering_options["InactiveHidden"] = false
        model.rendering_options["InstanceHidden"] = false
        model.rendering_options["JitterEdges"] = false
        model.rendering_options["LineEndWidth"] = 6
        model.rendering_options["LineExtension"] = 3
        model.rendering_options["LockedColor"] = Sketchup::Color.new(255,   0,   0, 255)
        model.rendering_options["MaterialTransparency"] = false
        model.rendering_options["ModelTransparency"] = false
        model.rendering_options["RenderMode"] = 5
        model.rendering_options["SectionActiveColor"] = Sketchup::Color.new(102, 110, 141, 255)
        model.rendering_options["SectionCutWidth"] = 4
        model.rendering_options["SectionDefaultCutColor"] = Sketchup::Color.new(  0,   0,   0, 255)
        model.rendering_options["SectionInactiveColor"] = Sketchup::Color.new(192, 192, 192, 255)
        model.rendering_options["ShowViewName"] = true
        model.rendering_options["SilhouetteWidth"] = 0
        model.rendering_options["SkyColor"] = Sketchup::Color.new(183, 190, 224, 255)
        model.rendering_options["Texture"] = false
        model.rendering_options["TransparencySort"] = 2

    # ShadowInfo Set Up "Blueprint" Page

        model.shadow_info["Dark"] = 80
        model.shadow_info["DisplayOnAllFaces"] = true
        model.shadow_info["DisplayOnGroundPlane"] = false
        model.shadow_info["DisplayShadows"] = false
        model.shadow_info["EdgesCastShadows"] = false
        model.shadow_info["Light"] = 0
        model.shadow_info["UseSunForAllShading"] = true

    status = page.update

    model = Sketchup.active_model
    pages = model.pages
    page = pages.selected_page
    status = page.update
    view = model.active_view
    status = view.invalidate


end     # def blueprinttemplate

#-----------------------------------------------------------------------------
def chalkboardtemplate
    model = Sketchup.active_model
    pages = model.pages
    page = pages.add "Chalkboard"
    page = pages.selected_page

    # Use the goodstuff, not the badstuff "Depth Map" Page
    status = page.use_camera = false
    status = page.use_rendering_options = true
    status = page.use_shadow_info = true
    status = page.use_section_planes=false
    status = page.use_hidden_layers=false
    status = page.use_hidden=false
    status = page.use_axes=false
    status = page.update

    # RenderingOptions Set Up "Chalkboard" Page
        model.rendering_options["BackgroundColor"] = Sketchup::Color.new(  0,   0,   0, 255)
        model.rendering_options["BandColor"] = Sketchup::Color.new(  0,   0,   0, 127)
        model.rendering_options["ConstructionColor"] = Sketchup::Color.new(255,   0, 255, 255)
        model.rendering_options["DepthQueWidth"] = 4
        model.rendering_options["DisplayColorByLayer"] = false
        model.rendering_options["DisplayFog"] = false
        model.rendering_options["DisplayFogEdges"] = false
        model.rendering_options["DisplayInstanceAxes"] = false
        model.rendering_options["DrawDepthQue"] = true
        model.rendering_options["DrawGround"] = false
        model.rendering_options["DrawHidden"] = false
        model.rendering_options["DrawHorizon"] = false
        model.rendering_options["DrawLineEnds"] = false
        model.rendering_options["DrawProfilesOnly"] = false
        model.rendering_options["DrawSilhouettes"] = true
        model.rendering_options["DrawUnderground"] = true
        model.rendering_options["EdgeColorMode"] = 1
        model.rendering_options["EdgeDisplayMode"] = 1
        model.rendering_options["ExtendLines"] = true
        model.rendering_options["FaceBackColor"] = Sketchup::Color.new(  0,   0,   0, 255)
        model.rendering_options["FaceColorMode"] = 0
        model.rendering_options["FaceFrontColor"] = Sketchup::Color.new(  0,   0,   0, 255)
        model.rendering_options["FogColor"] = Sketchup::Color.new(  0,   0,   0, 255)
        model.rendering_options["FogDensity"] = 1.0e-004
        model.rendering_options["FogEnd"] = 100
        model.rendering_options["FogStart"] = 0
        model.rendering_options["FogType"] = 2
        model.rendering_options["FogUseBkColor"] = true
        model.rendering_options["ForegroundColor"] = Sketchup::Color.new(255, 255, 255, 255)
        model.rendering_options["GroundColor"] = Sketchup::Color.new(148, 177, 148, 255)
        model.rendering_options["GroundTransparency"] = 100
        model.rendering_options["HideAnnotations"] = false
        model.rendering_options["HideConstructionGeometry"] = false
        model.rendering_options["HighlightColor"] = Sketchup::Color.new(255, 255,   0, 255)
        model.rendering_options["HorizonColor"] = Sketchup::Color.new(  0,   0,   0,   0)
        model.rendering_options["InactiveHidden"] = false
        model.rendering_options["InstanceHidden"] = false
        model.rendering_options["JitterEdges"] = true
        model.rendering_options["LineEndWidth"] = 5
        model.rendering_options["LineExtension"] = 3
        model.rendering_options["LockedColor"] = Sketchup::Color.new(255,   0,   0, 255)
        model.rendering_options["MaterialTransparency"] = false
        model.rendering_options["ModelTransparency"] = false
        model.rendering_options["RenderMode"] = 5
        model.rendering_options["SectionActiveColor"] = Sketchup::Color.new(102, 110, 141, 255)
        model.rendering_options["SectionCutWidth"] = 4
        model.rendering_options["SectionDefaultCutColor"] = Sketchup::Color.new(  0,   0,   0, 255)
        model.rendering_options["SectionInactiveColor"] = Sketchup::Color.new(192, 192, 192, 255)
        model.rendering_options["ShowViewName"] = true
        model.rendering_options["SilhouetteWidth"] = 2
        model.rendering_options["SkyColor"] = Sketchup::Color.new(183, 190, 224, 255)
        model.rendering_options["Texture"] = false
        model.rendering_options["TransparencySort"] = 2

    # ShadowInfo Set Up "Chalkboard" Page

        model.shadow_info["Dark"] = 100
        model.shadow_info["DisplayOnAllFaces"] = true
        model.shadow_info["DisplayOnGroundPlane"] = false
        model.shadow_info["DisplayShadows"] = false
        model.shadow_info["EdgesCastShadows"] = false
        model.shadow_info["Light"] = 0
        model.shadow_info["UseSunForAllShading"] = true

    status = page.update

    model = Sketchup.active_model
    pages = model.pages
    page = pages.selected_page
    status = page.update
    view = model.active_view
    status = view.invalidate

end     # def chalkboardtemplate

#------------------------------------------------------------------------------
def helphtml
    notyet
end

#-----------------------------------------------------------------------------

def multipasstemplate
    hiddenlinetemplate
    silhouettestemplate
    xraysketchtemplate
    materialtemplate
    texturetemplate
    sunshadetemplate
    camshadetemplate
    shadowtemplate
    depthmaptemplate
    alphatemplate
end

#-----------------------------------------------------------------------------

# Add a "Display Templates" sub-menu to the "View" menu
if( not file_loaded?("displaytemplate.rb") )
    view_menu = UI.menu("View")
    view_menu.add_separator
    displaytemplate_menu = view_menu.add_submenu("Display Templates")
    displaytemplate_menu.add_item ("The D Technique") {tdttemplate}
    displaytemplate_menu.add_separator
    multipass_menu = displaytemplate_menu.add_submenu("Multipass")
        multipass_menu.add_item("All Multipass") {multipasstemplate}
        multipass_menu.add_separator
        multipass_menu.add_item("Hidden Line") {hiddenlinetemplate}
        multipass_menu.add_item("Silhouettes") {silhouettestemplate}
        multipass_menu.add_item("X-Ray Sketch") {xraysketchtemplate}
        multipass_menu.add_item("Material") {materialtemplate}
        multipass_menu.add_item("Texture") {texturetemplate}
        multipass_menu.add_item("Sun Shade") {sunshadetemplate}
        multipass_menu.add_item("Camera Shade") {camshadetemplate}
        multipass_menu.add_item("Shadows") {shadowtemplate}
        multipass_menu.add_item("Depth Map") {depthmaptemplate}
        multipass_menu.add_item("Alpha") {alphatemplate}
    displaytemplate_menu.add_separator
    displaytemplate_menu.add_item ("Fix Depth Map") {fixdepthmaptemplate}
    displaytemplate_menu.add_separator
    extras_menu = displaytemplate_menu.add_submenu("Extras")
        extras_menu.add_item("Sepia") {sepiatemplate}
        extras_menu.add_item("Blueline") {bluelinetemplate}
    extras_menu.add_item("Blueprint") {blueprinttemplate}
        extras_menu.add_item("Chalkboard") {chalkboardtemplate}
    displaytemplate_menu.add_item("Help") {helphtml}
end

file_loaded("displaytemplate.rb")

#end #class DisplayTemplate
